Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services
Class XMLTokenStream

    java.lang.Object
      org.apache.tapestry5.internal.services.XMLTokenStream

    public class XMLTokenStream

extends java.lang.Object

Parses a document as a stream of XML tokens. It includes a special hack (as of Tapestry 5.3) to support the HTML5 doctype (`<!DOCTYPE html>`) as if it were the XHTML transitional doctype (`<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">`).

Field Summary
`static java.lang.String` | `TRANSITIONAL_DOCTYPE`

Constructor Summary
`XMLTokenStream(Resource resource, java.util.Map<java.lang.String,java.net.URL> publicIdToURL)`

Method Summary
`int` | `getAttributeCount()`
`javax.xml.namespace.QName` | `getAttributeName(int i)`
`java.lang.String` | `getAttributeValue(int i)`
`DTDData` | `getDTDInfo()`
`XMLTokenType` | `getEventType()`
`java.lang.String` | `getLocalName()`
`Location` | `getLocation()`
`int` | `getNamespaceCount()`
`java.lang.String` | `getNamespacePrefix(int i)`
`java.lang.String` | `getNamespaceURI()`
`java.lang.String` | `getNamespaceURI(int i)`
`java.lang.String` | `getText()`
`boolean` | `hasNext()`
`XMLTokenType` | `next()` Returns the type of the next token.
`void` | `parse()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSITIONAL_DOCTYPE

    public static final java.lang.String TRANSITIONAL_DOCTYPE

See Also:
  Constant Field Values

Constructor Detail

### XMLTokenStream

    public XMLTokenStream(Resource resource,
                          java.util.Map<java.lang.String,java.net.URL> publicIdToURL)

Method Detail

### parse

    public void parse()
               throws org.xml.sax.SAXException,
                      java.io.IOException

  Throws:
    `org.xml.sax.SAXException`
    `java.io.IOException`

### next

    public XMLTokenType next()

  Returns the type of the next token.

### getAttributeCount

    public int getAttributeCount()

### getAttributeName

    public javax.xml.namespace.QName getAttributeName(int i)

### getDTDInfo

    public DTDData getDTDInfo()

### getEventType

    public XMLTokenType getEventType()

### getLocalName

    public java.lang.String getLocalName()

### getLocation

    public Location getLocation()

### getNamespaceCount

    public int getNamespaceCount()

### getNamespacePrefix

    public java.lang.String getNamespacePrefix(int i)

### getNamespaceURI

    public java.lang.String getNamespaceURI()

### getNamespaceURI

    public java.lang.String getNamespaceURI(int i)

### getText

    public java.lang.String getText()

### hasNext

    public boolean hasNext()

### getAttributeValue

    public java.lang.String getAttributeValue(int i)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.